=== debian/control ===
Source: collectd
Section: utils
Priority: optional
Maintainer: Sebastian Harl <tokkee@debian.org>
Uploaders: Marc Fournier <marc@bl.uem.li>
Build-Depends: debhelper (>= 9.20160709~), dpkg-dev (>= 1.14.10), po-debconf, dh-strip-nondeterminism, dh-autoreconf,
 bison, flex, autotools-dev, libltdl-dev, pkg-config,
 default-libmysqlclient-dev,
 intel-cmt-cat [amd64 i386],
 iptables-dev (>= 1.4.3.2-2) [linux-any],
 javahelper,
 kfreebsd-kernel-headers [kfreebsd-any],
 libatasmart-dev [linux-any],
 libcap-dev [linux-any],
 libcurl4-gnutls-dev (>= 7.18.2-5) | libcurl4-gnutls-dev (<= 7.18.2-1) | libcurl3-gnutls-dev,
 libdevstat-dev [kfreebsd-any],
 libdbi0-dev,
 libdpdk-dev [amd64 i386],
 libesmtp-dev,
 libganglia1-dev (>= 3) [linux-any],
 libgeom-dev [kfreebsd-any],
 libgcrypt20-dev,
 libglib2.0-dev,
 libgrpc++-dev [amd64 arm64 armel armhf i386 ppc64el powerpc],
 libgps-dev,
 libhiredis-dev,
 libi2c-dev (>= 4.0~),
 libkvm-dev [kfreebsd-any],
 libldap2-dev,
 liblua5.3-dev,
 liblvm2-dev [linux-any],
 libmemcached-dev,
 libmicrohttpd-dev,
 libmodbus-dev,
 libmongoc-dev,
 libmosquitto-dev,
 libmnl-dev [linux-any],
 libnotify-dev,
 libopenipmi-dev,
 liboping-dev (>= 0.3.3),
 libow-dev,
 libpcap0.8-dev | libpcap-dev,
 libperl-dev,
 libpq-dev,
 libprotobuf-c-dev,
 libprotobuf-dev,
 librabbitmq-dev,
 librdkafka-dev,
 libriemann-client-dev (>= 1.6.0),
 librrd-dev (>= 1.4~),
 libsensors4-dev [linux-any],
# libsnmp-dev (>= 5.4.2.1~dfsg-4~) | (libsnmp-dev & perl (<< 5.10.1~rc2-1~))
 libsnmp-dev (>= 5.4.2.1~dfsg-4~) | libsnmp-dev | libsnmp9-dev,
 libsnmp-dev (>= 5.4.2.1~dfsg-4~) | perl (<< 5.10.1~rc2-1~),
 libtokyocabinet-dev [linux-any],
 libtokyotyrant-dev [linux-any],
 libudev-dev [linux-any],
 libupsclient-dev | libupsclient1-dev,
# libvarnishapi-dev,
 libvirt-dev (>= 0.4.0-6) [linux-any],
 libxen-dev [amd64 arm64 armhf i386],
 libxml2-dev,
 libyajl-dev,
 linux-libc-dev (>= 2.6.25-4) [linux-any] | linux-libc-dev (<< 2.6.25-1) [linux-any],
 default-jdk [!hppa !sparc !kfreebsd-i386 !kfreebsd-amd64],
 protobuf-c-compiler,
 protobuf-compiler (>= 3.0.0),
 protobuf-compiler-grpc [amd64 arm64 armel armhf i386 ppc64el powerpc],
 python-dev,
 riemann-c-client
Build-Conflicts: libpthread-dev, libhal-dev
Standards-Version: 4.1.4
Homepage: https://collectd.org/
Vcs-Git: https://github.com/collectd/pkg-debian.git
Vcs-Browser: https://github.com/collectd/pkg-debian.git

Package: collectd-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Recommends: perl, rrdtool
Suggests: collectd-dev,
# collection.cgi / collection3 dependencies
 librrds-perl, liburi-perl, libhtml-parser-perl, libregexp-common-perl,
 libconfig-general-perl, httpd-cgi,
# services providing data that may be collected by collectd
 apache2, apcupsd, bind9, ceph, chrony, default-mysql-server, gpsd, hddtemp,
 iptables, ipvsadm, lm-sensors, mbmon, memcached, nginx, notification-daemon,
 nut, openvpn, olsrd, pdns-server, postgresql, redis-server, slapd,
 time-daemon, varnish, zookeeper,
 ${shlibs:Suggests}, default-jre-headless
Replaces: collectd (<< 4.8.2-1~)
Description: statistics collection and monitoring daemon (core system)
 collectd is a small daemon which collects system information periodically and
 provides mechanisms to monitor and store the values in a variety of ways.
 Since the daemon doesn't need to startup every time it wants to update the
 values it's very fast and easy on the system. Also, the statistics are very
 fine grained since the files are updated every 10 seconds by default.
 .
 The collected information can be used to find current performance bottlenecks
 (performance analysis) and predict future system load (capacity planning).
 .
 This package contains the main program file and the plugins listed below (some
 of those plugins require additional libraries - for more details see
 /usr/share/doc/collectd-core/README.Debian.plugins) but no configuration. For
 a full installation (including configuration), see the "collectd" package.
 This package allows sites to, e.g., provide customizations (like a custom
 default configuration) on top of it without having to modify the "collectd"
 package.
 .
   * AMQP output plugin: amqp
   * Apache and lighttpd statistics provided by mod_status: apache
   * APC UPS's charge, load, input/output/battery voltage, etc.: apcups
   * Ascent server statistics: ascent
   * Bosch and Freescale barometers: barometer
   * battery status: battery
   * bind9 name-server and zone statistics: bind
   * Ceph distributed storage system statitics: ceph
   * CGroups resource usage: cgroups
   * Chrony daemon statistics: Local clock drift, offset to peers: chrony
   * connection tracking table size: conntrack
   * number of context switches done by the operating system: contextswitch
   * CPU utilization: cpu
   * CPU frequency: cpufreq
   * CPU sleep: Time spent in suspend : cpusleep
   * output to comma separated values (CSV) files: csv
   * parse statistics from websites: curl
   * parse JSON files: curl_json
   * parse XML data: curl_xml
   * query data from a relational database: dbi
   * disk space usage: df
   * disk and partition throughput: disk
   * DNS traffic information: dns
   * DPDK link status and keep alive events: dpdkevents
   * DPDK interface statistics: dpdkstat
   * Distributed Replicated Block Device status: drbd
   * E-Mail statistics (count, traffic, spam scores and checks): email
   * amount of available entropy: entropy
   * execution of external programs: exec
   * count the number of open file handles: fhcount
   * count the number of files in directories: filecount
   * Linux file-system based caching framework statistics: fscache
   * Monitor gps related data through gpsd: gps
   * Send or receive values over the network using the gRPC framework: grpc
   * query data from Java processes using JMX: GenericJMX (Java based plugin)
   * receive and interpret Ganglia multicast traffic: gmond
   * harddisk temperature: hddtemp
   * Report the number of used and free hugepages: hugepages
   * Intel Resource Director Technology statistics: intel_rdt
   * network traffic: interface
   * IPC statistics: ipc
   * IPMI sensors information: ipmi
   * iptables statistics: iptables
   * IPVS connection statistics: ipvs
   * IRQ counters: irq
   * embedded Java Virtual Machine: java
   * system load averages: load
   * logging to files, STDOUT and STDERR: logfile
   * logging in logstash's JSON event format: log_logstash
   * embedded Lua interpreter: lua
   * Logical Volume Manager usage: lvm
   * Machine Check Exceptions notifications: mcelog
   * Atheros wireless LAN chipset statistics: madwifi
   * motherboard monitor: mbmon
   * query and parse data from a memcache daemon: memcachec
   * statistics of the memcached distributed caching system: memcached
   * memory usage: memory
   * read values from Modbus/TCP enabled devices: modbus
   * statistics from mon.itor.us: Monitorus (Perl based plugin)
   * Publishes and subscribes to MQTT topics: mqtt
   * multimeter statistics: multimeter
   * MySQL statistics provided by MySQL's "show status" command: mysql
   * detailed Linux network interface and routing statistics: netlink
   * IO via the network: network
   * NFS utilization: nfs
   * Nginx (a HTTP and E-Mail server/proxy) statistics: nginx
   * send desktop notifications to a notification daemon: notify_desktop
   * send notification E-mails: notify_email
   * send notifications to nagios: notify_nagios
   * NTP daemon's local clock drift, offset to peers, etc.: ntpd
   * UPS information: nut
   * Optimized Link State Routing daemon statistics: olsrd
   * OpenLDAP's cn=Monitor statistics: openldap
   * OpenVPN traffic and compression statistics: openvpn
   * OpenVZ statistics: OpenVZ (Perl based plugin)
   * Open vSwitch link state events: ovs_events
   * Open vSwitch bridge / interface statistics: ovs_stats
   * embedded Perl interpreter: perl
   * timing values from Pinba: pinba
   * network latency statistics: ping
   * PostgreSQL database statistics: postgresql
   * PowerDNS name server statistics: powerdns
   * number of processes: processes
   * information about network protocols: protocols
   * embedded Python interpreter: python
   * Redis server statistics: redis
   * write data via the RRD accelerator daemon: rrdcached
   * output to RRD files: rrdtool
   * lm_sensors information (e.g. CPU temperature, fan speeds): sensors
   * serial port traffic: serial
   * values from SNMP enabled network devices: snmp
   * receive and handle queries from SNMP master agent: snmp_agent
   * aggregate values received with the StatsD protocol: statsd
   * SMART statistics: smart
   * swap usage: swap
   * Linux synproxy statistics: synproxy
   * logging to syslog: syslog
   * parse table-like structured files: table
   * incremental parsing of logfiles: tail
   * incremental parsing of CSV files: tail_csv
   * number of TCP connections to specific ports: tcpconns
   * TeamSpeak2 server statistics: teamspeak2
   * power consumption measurements from "The Energy Detective" (TED): ted
   * Linux ACPI thermal zone information: thermal
   * check thresholds and for missing values: threshold
   * statistics from Intel turbo-capable processors: turbostat
   * Tokyo Tyrant server statistics: tokyotyrant
   * external runtime interface: unixsock
   * system uptime: uptime
   * number of users logged into the system: users
   * set the hostname to an unique identifier: uuid
   * Varnish HTTP accelerator daemon statistics: varnish
   * CPU, disk, network statistics of guest systems: virt
   * detailed virtual memory statistics: vmem
   * system resources used by Linux-VServers: vserver
   * wireless network stats: wireless
   * send collected values to a graphite server: write_graphite
   * send collected values to a web-server: write_http
   * send collected values to an Apache Kafka message broker: write_kafka
   * send collected values to the logging subsystem: write_log
   * send collected values to MongoDB, a NoSQL database: write_mongodb
   * publish collected values as a Prometheus exporter: write_prometheus
   * send collected values to a Redis server: write_redis
   * send collected values to a Riemann server: write_riemann
   * send collected values to a Sensu client: write_sensu
   * send collected values to an OpenTSDB server: write_tsdb
   * XEN Hypervisor CPU stats: xencpu
   * ZFS's Adaptive Replacement Cache statistics: zfs_arc
   * data from Zookeeper's MNTR command: zookeeper

Package: collectd
Architecture: any
Depends: collectd-core (>= ${source:Version}), collectd-core (<< 6~),
 ${shlibs:Depends}, ${misc:Depends}
Recommends: ${shlibs:Recommends}, default-jre-headless
Description: statistics collection and monitoring daemon
 collectd is a small daemon which collects system information periodically and
 provides mechanisms to monitor and store the values in a variety of ways.
 Since the daemon doesn't need to startup every time it wants to update the
 values it's very fast and easy on the system. Also, the statistics are very
 fine grained since the files are updated every 10 seconds by default.
 .
 The collected information can be used to find current performance bottlenecks
 (performance analysis) and predict future system load (capacity planning).
 .
 This package provides a full installation of the daemon, including the
 configuration. For the core system, see the "collectd-core" package, which
 allows sites to, e.g., provide customizations (like a custom default
 configuration) on top of it without having to modify the "collectd" package.

Package: collectd-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: collectd
Suggests: icinga
Replaces: collectd (<< 4.6.1-1~)
Description: statistics collection and monitoring daemon (utilities)
 collectd is a small daemon which collects system information periodically and
 provides mechanisms to monitor and store the values in a variety of ways.
