=== debian/rules ===
#! /usr/bin/make -f
# debian/rules for collectd
#
# Written by Sebastian Harl <tokkee@debian.org>.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
CPPFLAGS += -I$(CURDIR)/debian/include
CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += -Wall -Wno-error=deprecated-declarations
# 897724
CFLAGS += -Wno-error=format-truncation

# Upstream defaults to ${sysconfdir}/collectd.conf. Setting ${sysconfdir} to
# /etc/collectd would be wrong though.
CPPFLAGS += -UCONFIGFILE
CPPFLAGS += -DCONFIGFILE='\"/etc/collectd/collectd.conf\"'

# A PostgreSQL header redefines CACHE_LINE_SIZE on FreeBSD.
# Cf. https://bugs.debian.org/760719 and https://bugs.debian.org/763098
ifneq (,$(filter kfreebsd-i386 kfreebsd-amd64, $(DEB_BUILD_ARCH)))
	CPPFLAGS += -Wp,-w
endif

LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

# The archdir map has been copied from openjdk-6's debian/rules.
JAVA_ARCHDIR = $(shell /usr/share/javahelper/java-arch.sh $(DEB_BUILD_ARCH))
ifeq (,$(JAVA_ARCHDIR))
	JAVA_ARCHDIR = $(DEB_BUILD_ARCH)
endif
JAVA_HOME = /usr/lib/jvm/default-java
JAVA_LIBDIR = $(JAVA_HOME)/jre/lib/$(JAVA_ARCHDIR)/server

JAVAC = $(JAVA_HOME)/bin/javac
JAR = $(JAVA_HOME)/bin/jar
JAVA_CPPFLAGS = -I$(JAVA_HOME)/include
JAVA_LDFLAGS = -L$(JAVA_LIBDIR) -Wl,-rpath -Wl,$(JAVA_LIBDIR)

confflags = --host=$(DEB_HOST_GNU_TYPE) \
			--build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--localstatedir=/var --sysconfdir=/etc \
			--with-perl-bindings="INSTALLDIRS=vendor INSTALL_BASE=" \
			--without-libstatgrab \
			--disable-static \
			--disable-silent-rules \
			--enable-all-plugins

# These plugins do not provide any functionality under Linux.
# MacOS only (requires IO Kit):
confflags += --disable-apple_sensors
# AIX only (requires perfstat):
confflags += --disable-lpar
# Solaris only (requires devinfo and kstat)
confflags += --disable-tape

# libaquaero5 is required for the aquaero plugin
confflags += --disable-aquaero

# libjevents is required for the intel_pmu plugin
confflags += --disable-intel_pmu

# libmic is required for the mic plugin
confflags += --disable-mic

# libnetapp is required for the netapp plugin.
confflags += --disable-netapp

# libclntsh is required for the oracle plugin.
confflags += --disable-oracle

# librouteros is required for the routeros plugin.
confflags += --disable-routeros

# xmms1 is required for the xmms plugin.
confflags += --disable-xmms

# libsigrok4 incompatible with the plugin.
# Cf. https://github.com/collectd/collectd/issues/1574
confflags += --disable-sigrok

# temporarily disable varnish plugin, as #879471 blocks collectd from
# migrationg to testing.
confflags += --disable-varnish

# These plugins are Linux-specific.
ifneq (,$(filter kfreebsd-i386 kfreebsd-amd64, $(DEB_BUILD_ARCH)))
	confflags += \
		--disable-barometer \
		--disable-cgroups \
		--disable-cpusleep \
		--disable-drbd \
		--disable-ethstat \
		--disable-fhcount \
		--disable-hugepages \
		--disable-ipc \
		--disable-iptables \
		--disable-ipvs \
		--disable-lvm \
		--disable-madwifi \
		--disable-md \
		--disable-netlink \
		--disable-numa \
		--disable-sensors \
		--disable-vserver
endif

# This plugin is FreeBSD-specific.
ifeq (,$(filter kfreebsd-i386 kfreebsd-amd64, $(DEB_BUILD_ARCH)))
	confflags += \
		--disable-pf
endif

# This plugin is Solaris-specific.
confflags += \
		--disable-zone

# These plugins have not been ported to FreeBSD yet.
ifneq (,$(filter kfreebsd-i386 kfreebsd-amd64, $(DEB_BUILD_ARCH)))
	# Work-around an incomplete check for kvm functionality
	CPPFLAGS  += -DHAVE_STRUCT_KINFO_PROC_FREEBSD
	confflags += --enable-processes=force

	confflags += \
		--disable-battery \
		--disable-conntrack \
		--disable-contextswitch \
		--disable-cpufreq \
		--disable-entropy \
		--disable-fscache \
		--disable-irq \
		--disable-nfs \
		--disable-protocols \
		--disable-serial \
		--disable-synproxy \
		--disable-thermal \
		--disable-vmem \
		--disable-wireless
endif

# Build-dependencies of these plugins are (not yet) available for kfreebsd.
ifneq (,$(filter kfreebsd-i386 kfreebsd-amd64, $(DEB_BUILD_ARCH)))
	confflags += \
		--disable-gmond \
		--disable-virt \
		--disable-tokyotyrant \
		--disable-java
endif

# These plugins are Intel-hardware specific.
ifeq (,$(filter amd64 i386, $(DEB_BUILD_ARCH)))
	confflags += \
		--disable-dpdkevents \
		--disable-dpdkstat \
		--disable-intel_pmu \
		--disable-intel_rdt \
		--disable-mcelog \
		--disable-mic \
		--disable-turbostat
endif

# This plugin is x86 and arm specific.
ifeq (,$(filter amd64 arm64 armhf i386, $(DEB_BUILD_ARCH)))
	confflags += \
		--disable-xencpu
endif

# libatasmart isn't available on these platforms.
ifneq (,$(filter hurd-i386 kfreebsd-i386 kfreebsd-amd64, $(DEB_BUILD_ARCH)))
	confflags += --disable-smart
endif

# The hppa buildds currently do not keep up with Java related stuff, thus
# prevending testing transitions. sparc is also having trouble building the
# java plugin.
ifneq (,$(filter hppa sparc, $(DEB_BUILD_ARCH)))
	confflags += --disable-java
endif

# gRPC is only available on x86, arm, ppc.
ifeq (,$(filter amd64 arm64 armel armhf i386 ppc64el powerpc, $(DEB_BUILD_ARCH)))
	confflags += --disable-grpc
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir
	
	dh_autoreconf
	
	./configure $(confflags) CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
		JAVAC="$(JAVAC)" JAR="$(JAR)" JAVA_CPPFLAGS="$(JAVA_CPPFLAGS)" \
		JAVA_LDFLAGS="$(JAVA_LDFLAGS)" \
		|| ( status=$$?; cat config.log; exit $$status )

	$(MAKE)
	dh_auto_test
	perl ./debian/bin/check_plugins.pl
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	
	[ ! -f Makefile ] || $(MAKE) distclean
	
	rm -f debian/README.Debian.plugins
	rm -f src/*.1 src/*.5
	
	rm -rf debian/pkgconfig
	
	dh_autoreconf_clean
	dh_clean
	debconf-updatepo

install-indep:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -i
	dh_install -i
	
	# update include path for collectd header files
	(	set -e; \
		cd $(CURDIR)/debian/collectd-dev/usr/include/collectd/; \
		for lib in $$(find . -type f -name '*.h'); do \
			libname=$$(basename $$lib); \
			fullpath=$$(echo $$lib | sed -r -e 's,^\./,collectd/,'); \
			for dir in $$(find . -mindepth 1 -type d); do \
				sed -r -i -e "s,(include\s+)\".*\<$$libname\",\1\"$$fullpath\"," $$dir/*.h; \
			done; \
		done )

install-arch: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -a
	
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	
	rm -f debian/tmp/usr/lib/collectd/*.la
	rm -f debian/tmp/usr/lib/libcollectdclient.la
	rm -f debian/tmp/etc/collectd.conf
	
	dh_install -a --sourcedir=$(CURDIR)/debian/tmp --fail-missing
	
	perl ./debian/bin/gen_plugin_deps.pl
	
	mkdir -p debian/collectd-core/usr/share/lintian/overrides/
	cp debian/collectd-core.overrides \
		debian/collectd-core/usr/share/lintian/overrides/collectd-core

binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs -i ChangeLog
	dh_installdocs -A -i debian/README.Debian AUTHORS README
	dh_installexamples -i contrib/examples/myplugin.c \
		contrib/examples/MyPlugin.pm
	dh_compress -i -Xexamples/
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs -a ChangeLog
	dh_installdocs -A -a debian/README.Debian AUTHORS README
	dh_installdocs -a debian/NEWS.Debian debian/README.Debian.plugins
	dh_installexamples -a contrib/collectd2html.pl contrib/collection.cgi \
