## collectd 5.8.1

=== debian/changelog ===
collectd (5.8.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Remove rd_kafka_last_error.patch; applied upstream.
  * debian/control:
    - Bump standards version to 4.2.1; no changes.
  * debian/rules:
    - Fix cross building: de-confuse build/host; thanks to Helmut Grohne for
      reporting this and providing a patch (Closes: #913668).
    - Disable mqtt plugin until #911265, #911266 get fixed.

 -- Sebastian Harl <tokkee@debian.org>  Fri, 23 Nov 2018 00:01:43 +0100
