=== debian/control ===
--- 
+++ 
@@ -33,7 +33,6 @@
  libmicrohttpd-dev,
  libmodbus-dev,
  libmongoc-dev,
- libmosquitto-dev,
  libmnl-dev [linux-any],
  libnotify-dev,
  libopenipmi-dev,
@@ -69,7 +68,7 @@
  python-dev,
  riemann-c-client
 Build-Conflicts: libpthread-dev, libhal-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://collectd.org/
 Vcs-Git: https://github.com/collectd/pkg-debian.git
 Vcs-Browser: https://github.com/collectd/pkg-debian.git
