=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,7 @@
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
@@ -28,7 +26,7 @@
 
 # A PostgreSQL header redefines CACHE_LINE_SIZE on FreeBSD.
 # Cf. https://bugs.debian.org/760719 and https://bugs.debian.org/763098
-ifneq (,$(filter kfreebsd-i386 kfreebsd-amd64, $(DEB_BUILD_ARCH)))
+ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
 	CPPFLAGS += -Wp,-w
 endif
 
@@ -91,11 +89,15 @@
 confflags += --disable-sigrok
 
 # temporarily disable varnish plugin, as #879471 blocks collectd from
-# migrationg to testing.
+# migrating to testing.
 confflags += --disable-varnish
 
+# temporarily disable mqtt plugin, as #911265, #911266 blocks collectd from
+# migrating to testing.
+confflags += --disable-mqtt
+
 # These plugins are Linux-specific.
-ifneq (,$(filter kfreebsd-i386 kfreebsd-amd64, $(DEB_BUILD_ARCH)))
+ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
 	confflags += \
 		--disable-barometer \
 		--disable-cgroups \
@@ -117,7 +119,7 @@
 endif
 
 # This plugin is FreeBSD-specific.
-ifeq (,$(filter kfreebsd-i386 kfreebsd-amd64, $(DEB_BUILD_ARCH)))
+ifneq ($(DEB_HOST_ARCH_OS),kfreebsd)
 	confflags += \
 		--disable-pf
 endif
@@ -127,7 +129,7 @@
 		--disable-zone
 
 # These plugins have not been ported to FreeBSD yet.
-ifneq (,$(filter kfreebsd-i386 kfreebsd-amd64, $(DEB_BUILD_ARCH)))
+ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
 	# Work-around an incomplete check for kvm functionality
 	CPPFLAGS  += -DHAVE_STRUCT_KINFO_PROC_FREEBSD
 	confflags += --enable-processes=force
@@ -150,7 +152,7 @@
 endif
 
 # Build-dependencies of these plugins are (not yet) available for kfreebsd.
-ifneq (,$(filter kfreebsd-i386 kfreebsd-amd64, $(DEB_BUILD_ARCH)))
+ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
 	confflags += \
 		--disable-gmond \
 		--disable-virt \
@@ -159,7 +161,7 @@
 endif
 
 # These plugins are Intel-hardware specific.
-ifeq (,$(filter amd64 i386, $(DEB_BUILD_ARCH)))
+ifeq (,$(filter amd64 i386, $(DEB_HOST_ARCH)))
 	confflags += \
 		--disable-dpdkevents \
 		--disable-dpdkstat \
@@ -171,25 +173,25 @@
 endif
 
 # This plugin is x86 and arm specific.
-ifeq (,$(filter amd64 arm64 armhf i386, $(DEB_BUILD_ARCH)))
+ifeq (,$(filter amd64 arm64 armhf i386, $(DEB_HOST_ARCH)))
 	confflags += \
 		--disable-xencpu
 endif
 
 # libatasmart isn't available on these platforms.
-ifneq (,$(filter hurd-i386 kfreebsd-i386 kfreebsd-amd64, $(DEB_BUILD_ARCH)))
+ifneq (,$(filter hurd kfreebsd,$(DEB_HOST_ARCH_OS)))
 	confflags += --disable-smart
 endif
 
 # The hppa buildds currently do not keep up with Java related stuff, thus
 # prevending testing transitions. sparc is also having trouble building the
 # java plugin.
-ifneq (,$(filter hppa sparc, $(DEB_BUILD_ARCH)))
+ifneq (,$(filter hppa sparc, $(DEB_HOST_ARCH)))
 	confflags += --disable-java
 endif
 
 # gRPC is only available on x86, arm, ppc.
-ifeq (,$(filter amd64 arm64 armel armhf i386 ppc64el powerpc, $(DEB_BUILD_ARCH)))
+ifeq (,$(filter amd64 arm64 armel armhf i386 ppc64el powerpc, $(DEB_HOST_ARCH)))
 	confflags += --disable-grpc
 endif
 
@@ -288,3 +290,6 @@
 	dh_installdocs -A -a debian/README.Debian AUTHORS README
 	dh_installdocs -a debian/NEWS.Debian debian/README.Debian.plugins
 	dh_installexamples -a contrib/collectd2html.pl contrib/collection.cgi \
+		contrib/collection3/ contrib/php-collection/ \
+		contrib/exec-munin.conf contrib/exec-munin.px contrib/exec-smartctl \
+		contrib/exec-nagios.conf contrib/exec-nagios.px contrib/exec-ksm.sh \
