## collectd 5.9.2

=== debian/changelog ===
collectd (5.9.2-4ubuntu1) focal; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/rules: Work around FTBFS with glibc 2.30 with -Wno-cpp
  * Added changes:
    - debian/rules: Work around FTBFS with gcc9 -Wno-error=format-truncation
  * Dropped changes (upstream)
    - fix FTFBS with new compiler toolchain
      - d/p/libcollectdclient-fix-gcc-warning.patch
      - d/p/dpdk-fix-clang-issue-for-deprecated-function-patch.patch
      - d/p/dpdk-fix-deprecation-warning.patch
      - d/p/python-3.7-fix-Allow-compilation-with-Python-3.7.patch
      - d/p/nut-plugin-fix-warning.patch
      - d/p/write_prometheus-plugin-fix-compiler-warning.patch
      - d/p/write_sensu-use-sstrncpy.patch
      - d/p/fix-ftbfs-common-test.patch
      - d/p/Fix-a-couple-of-warnings-in-test-suite.patch
      - d/p/strjoin-Fix-behavior-if-output-buffer-is-NULL.patch
      - d/rules: disable address-of-packed-member check until DPDK 19.05 is
        available

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 11 Nov 2019 16:17:16 +0100

collectd (5.9.2-4) unstable; urgency=medium

  * The "do not dput without looking at the CI upload".
  * [4720c20] Finish the NEWS file renaming.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 11 Nov 2019 02:06:32 +0100

collectd (5.9.2-3) unstable; urgency=medium

  * [e4535ac] Migrate to python3
  * [53fe51f] It is debian/NEWS, not debian/NEWS.Debian
  * [5f21e0e] Mention migration to Python3 in debian/NEWS
  * [8846b45] Disable nut plugin for now.
    Nut has too many rc bugs to enter testing soon.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 11 Nov 2019 01:47:49 +0100

collectd (5.9.2-2) unstable; urgency=medium

  * [0155b6e] revert @zenity's configure exit change
  * [9df748b] LVM is still deprecated
  * [fbc4f98] Build-depend on libqpid-proton11-dev.
    For the amqp1 module
  * [dfb3ff6] Disable gpu_nvidia module.
    Needs non-free libraries.
  * [3fe11c6] Enable mqtt again - moquitto is in testing
  * [6f7072b] pci_errors module is broken on some arches
  * [21de403] Mention amqp1 output plugin in description.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 11 Nov 2019 01:00:31 +0100

collectd (5.9.2-1) unstable; urgency=medium

  * [e2bc528] Stay with the common debian/version tag.
  * [989ce6e] Collect and review changes from @zebity
    https://github.com/zebity/pkg-debian
  * [6119616] Configure gitlab-ci
  * [4f34b97] Update upstream source from tag 'upstream/5.9.2'
    Update to upstream version '5.9.2'
    with Debian dir af7c66a8817dcb447a93e60e87aff32a05a0b4c3
    This fixes build issues with recent libgps-dev.
    Closes: #926528
  * [ccc5baf] snapshot changelog
  * [ad672e1] fake commit for CI
  * [65f9d1b] Make deps for collectd automatic
  * [07a98ce] Set CXXFLAGS from dpkg-buildflags
  * [918a39f] Updating git urls
  * [41e284a] Use a tracker.d.o team as maintainer.
    Adding myself as uploader.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 10 Nov 2019 22:29:36 +0100

collectd (5.8.1-1.3ubuntu2) focal; urgency=medium

  * debian/rules: Work around FTBFS with glibc 2.30 with -Wno-cpp.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 24 Oct 2019 12:29:15 -0600

collectd (5.8.1-1.3ubuntu1) eoan; urgency=medium

  * fix FTFBS with new compiler toolchain
    - d/p/libcollectdclient-fix-gcc-warning.patch
    - d/p/dpdk-fix-clang-issue-for-deprecated-function-patch.patch
    - d/p/dpdk-fix-deprecation-warning.patch
    - d/p/python-3.7-fix-Allow-compilation-with-Python-3.7.patch
    - d/p/nut-plugin-fix-warning.patch
    - d/p/write_prometheus-plugin-fix-compiler-warning.patch
    - d/p/write_sensu-use-sstrncpy.patch
    - d/p/fix-ftbfs-common-test.patch
    - d/p/Fix-a-couple-of-warnings-in-test-suite.patch
    - d/p/strjoin-Fix-behavior-if-output-buffer-is-NULL.patch
    - d/rules: disable address-of-packed-member check until DPDK 19.05 is
      available

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 15 Aug 2019 11:04:10 +0200

collectd (5.8.1-1.3build1) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 15 Aug 2019 09:32:55 +0200

collectd (5.8.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Jonathan McDowell ]
  * Re-enable mqtt + varnish plugins. (Closes: #924337)

  [ Chris Hofstaedtler ]
  * Apply Jonathan's patch and upload it.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 06 Apr 2019 12:21:09 +0000

collectd (5.8.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport removed_checks_for_upper_limit_of_SENSORS_API.patch from
    the upstream 5.8 release branch to fix build with libsensors5.
    (Closes: #917202)

 -- Luca Boccassi <bluca@debian.org>  Tue, 25 Dec 2018 12:08:23 +0100

collectd (5.8.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Stop building lvm plugin and remove dependency from liblvm2-dev,
    which is deprecated.
    (Closes: #915692)
  * Backport dpdk_configure_check.patch from the upstream 5.8 release
    branch to fix build with DPDK 18.11.
    (Closes: #915419)

 -- Luca Boccassi <bluca@debian.org>  Wed, 19 Dec 2018 15:52:36 +0100
