## collectd 5.9.2.g

=== debian/changelog ===
collectd (5.9.2.g-1ubuntu5) focal; urgency=medium

  * debian/control: stop depending on the transitional iptables-dev as it is
    no longer provided - depend on libiptc-dev instead. Fixes NBS.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 17 Apr 2020 16:41:02 +0200

collectd (5.9.2.g-1ubuntu4) focal; urgency=medium

  * No-change rebuild for libxen* 4.11

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 13 Feb 2020 16:55:08 +0100

collectd (5.9.2.g-1ubuntu3) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 06:01:36 +0000

collectd (5.9.2.g-1ubuntu2) focal; urgency=medium

  * No change rebuild against DPDK 19.11

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 09 Jan 2020 14:50:05 +0100

collectd (5.9.2.g-1ubuntu1) focal; urgency=medium

  * Merge with Debian unstable (LP: #1855994). Remaining changes:
    - debian/rules: Work around FTBFS with glibc 2.30 with -Wno-cpp
    - debian/rules: Work around FTBFS with gcc9 -Wno-error=format-truncation
      on ppc64

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 11 Dec 2019 09:31:05 +0100

collectd (5.9.2.g-1) unstable; urgency=medium

  * [978cc41] Use github tags instead of collectd.org.
    Seems the build process is buggy, Closes: #944535
  * [8929f0e] Update upstream source from tag 'upstream/5.9.2.g'
    Update to upstream version '5.9.2.g'
    with Debian dir 3d9a5865a5c149693e7dc99672fbd725af72b2be
  * [31e5ca1] Snapshot changelog

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 14 Nov 2019 13:01:20 +0100
