=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: collectd
 Section: utils
 Priority: optional
-Maintainer: Sebastian Harl <tokkee@debian.org>
-Uploaders: Marc Fournier <marc@bl.uem.li>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Collectd Packaging Team <team+collectd@tracker.debian.org>
+Uploaders: Sebastian Harl <tokkee@debian.org>, Marc Fournier <marc@bl.uem.li>, Bernd Zeimetz <bzed@debian.org>
 Build-Depends: debhelper (>= 9.20160709~), dpkg-dev (>= 1.14.10), po-debconf, dh-strip-nondeterminism, dh-autoreconf,
  bison, flex, autotools-dev, libltdl-dev, pkg-config,
  default-libmysqlclient-dev,
  intel-cmt-cat [amd64 i386],
- iptables-dev (>= 1.4.3.2-2) [linux-any],
+ libiptc-dev (>= 1.4.3.2-2) [linux-any],
  javahelper,
  kfreebsd-kernel-headers [kfreebsd-any],
  libatasmart-dev [linux-any],
@@ -28,7 +29,6 @@
  libkvm-dev [kfreebsd-any],
  libldap2-dev,
  liblua5.3-dev,
- liblvm2-dev [linux-any],
  libmemcached-dev,
  libmicrohttpd-dev,
  libmodbus-dev,
@@ -54,8 +54,7 @@
  libtokyocabinet-dev [linux-any],
  libtokyotyrant-dev [linux-any],
  libudev-dev [linux-any],
- libupsclient-dev | libupsclient1-dev,
-# libvarnishapi-dev,
+ libvarnishapi-dev,
  libvirt-dev (>= 0.4.0-6) [linux-any],
  libxen-dev [amd64 arm64 armhf i386],
  libxml2-dev,
@@ -65,13 +64,15 @@
  protobuf-c-compiler,
  protobuf-compiler (>= 3.0.0),
  protobuf-compiler-grpc [amd64 arm64 armel armhf i386 ppc64el powerpc],
- python-dev,
- riemann-c-client
-Build-Conflicts: libpthread-dev, libhal-dev
+ python3-dev,
+ riemann-c-client,
+ libqpid-proton11-dev,
+ libmosquitto-dev
+Build-Conflicts: libpthread-dev, libhal-dev, python-dev
 Standards-Version: 4.2.1
 Homepage: https://collectd.org/
-Vcs-Git: https://github.com/collectd/pkg-debian.git
-Vcs-Browser: https://github.com/collectd/pkg-debian.git
+Vcs-Git: https://salsa.debian.org/debian/pkg-collectd.git
+Vcs-Browser: https://salsa.debian.org/debian/pkg-collectd
 
 Package: collectd-core
 Architecture: any
@@ -84,7 +85,7 @@
 # services providing data that may be collected by collectd
  apache2, apcupsd, bind9, ceph, chrony, default-mysql-server, gpsd, hddtemp,
  iptables, ipvsadm, lm-sensors, mbmon, memcached, nginx, notification-daemon,
- nut, openvpn, olsrd, pdns-server, postgresql, redis-server, slapd,
+ openvpn, olsrd, pdns-server, postgresql, redis-server, slapd,
  time-daemon, varnish, zookeeper,
  ${shlibs:Suggests}, default-jre-headless
 Replaces: collectd (<< 4.8.2-1~)
@@ -107,6 +108,7 @@
  package.
  .
    * AMQP output plugin: amqp
+   * AMQP 1.0 output plugin: amqp1
    * Apache and lighttpd statistics provided by mod_status: apache
    * APC UPS's charge, load, input/output/battery voltage, etc.: apcups
    * Ascent server statistics: ascent
@@ -156,7 +158,6 @@
    * logging to files, STDOUT and STDERR: logfile
    * logging in logstash's JSON event format: log_logstash
    * embedded Lua interpreter: lua
-   * Logical Volume Manager usage: lvm
    * Machine Check Exceptions notifications: mcelog
    * Atheros wireless LAN chipset statistics: madwifi
    * motherboard monitor: mbmon
@@ -176,7 +177,6 @@
    * send notification E-mails: notify_email
    * send notifications to nagios: notify_nagios
    * NTP daemon's local clock drift, offset to peers, etc.: ntpd
-   * UPS information: nut
    * Optimized Link State Routing daemon statistics: olsrd
    * OpenLDAP's cn=Monitor statistics: openldap
    * OpenVPN traffic and compression statistics: openvpn
@@ -238,7 +238,7 @@
 
 Package: collectd
 Architecture: any
-Depends: collectd-core (>= ${source:Version}), collectd-core (<< 6~),
+Depends: collectd-core (>= ${source:Version}), collectd-core (<< ${source:Version}.1~),
  ${shlibs:Depends}, ${misc:Depends}
 Recommends: ${shlibs:Recommends}, default-jre-headless
 Description: statistics collection and monitoring daemon
@@ -263,5 +263,3 @@
 Suggests: icinga
 Replaces: collectd (<< 4.6.1-1~)
 Description: statistics collection and monitoring daemon (utilities)
- collectd is a small daemon which collects system information periodically and
- provides mechanisms to monitor and store the values in a variety of ways.
