=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,13 @@
 CPPFLAGS += -I$(CURDIR)/debian/include
 CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
 CFLAGS += -Wall -Wno-error=deprecated-declarations
-# 897724
-CFLAGS += -Wno-error=format-truncation
+CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
+CXXFLAGS += -Wall -Wno-error=deprecated-declarations
+
+TEST_GCC_VER_9 := $(shell expr `$(CC) -dumpversion | cut -f1 -d.` \>= 9)
+ifeq ($(TEST_GCC_VER_9),1)
+  CFLAGS += -Wno-error=address-of-packed-member -Wno-stringop-truncation -Wno-cpp -Wno-error=format-truncation
+endif
 
 # Upstream defaults to ${sysconfdir}/collectd.conf. Setting ${sysconfdir} to
 # /etc/collectd would be wrong though.
@@ -88,13 +93,16 @@
 # Cf. https://github.com/collectd/collectd/issues/1574
 confflags += --disable-sigrok
 
-# temporarily disable varnish plugin, as #879471 blocks collectd from
-# migrating to testing.
-confflags += --disable-varnish
-
-# temporarily disable mqtt plugin, as #911265, #911266 blocks collectd from
-# migrating to testing.
-confflags += --disable-mqtt
+# disable lvm plugin, liblvm2app is deprecated upstream, #915692
+# Cf. https://github.com/collectd/collectd/issues/2647
+confflags += --disable-lvm
+
+# libnvidia-ml is non-free
+confflags += --disable-gpu_nvidia
+
+# disable nut plugin for now.
+# nut is not in testing, see #937169 #885358
+confflags += --disable-nut
 
 # These plugins are Linux-specific.
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
@@ -109,7 +117,6 @@
 		--disable-ipc \
 		--disable-iptables \
 		--disable-ipvs \
-		--disable-lvm \
 		--disable-madwifi \
 		--disable-md \
 		--disable-netlink \
@@ -172,6 +179,12 @@
 		--disable-turbostat
 endif
 
+# the pcie_errors plugin does not work on all kinds of hardware
+ifeq (,$(filter amd64 arm64 armel armhf i386 mips64el mipsel ppc64el, $(DEB_HOST_ARCH)))
+	confflags += \
+		--disable-pcie_errors
+endif
+
 # This plugin is x86 and arm specific.
 ifeq (,$(filter amd64 arm64 armhf i386, $(DEB_HOST_ARCH)))
 	confflags += \
@@ -283,13 +296,3 @@
 	dh_md5sums -i
 	dh_builddeb -i
 
-binary-arch: build install-arch
-	dh_testdir
-	dh_testroot
-	dh_installchangelogs -a ChangeLog
-	dh_installdocs -A -a debian/README.Debian AUTHORS README
-	dh_installdocs -a debian/NEWS.Debian debian/README.Debian.plugins
-	dh_installexamples -a contrib/collectd2html.pl contrib/collection.cgi \
-		contrib/collection3/ contrib/php-collection/ \
-		contrib/exec-munin.conf contrib/exec-munin.px contrib/exec-smartctl \
-		contrib/exec-nagios.conf contrib/exec-nagios.px contrib/exec-ksm.sh \
