=== debian/watch ===
version=3
https://github.com/collectd/collectd/tags /collectd/collectd/archive/stable-([0-9.-]+).tar.gz
